import request from '@/utils/request'

// 查询被执行人信息列表
export function listExecution(query) {
    return request({
        url: '/crmSubjectToExecution/findByPage',
        method: 'get',
        params: query
    })
}

// 查询被执行人信息详细
export function getExecution(id) {
    return request({
        url: '/crmSubjectToExecution/' + id,
        method: 'get'
    })
}

// 新增被执行人信息
export function addExecution(data) {
    return request({
        url: '/crmSubjectToExecution',
        method: 'post',
        data: data
    })
}

// 修改被执行人信息
export function updateExecution(data) {
    return request({
        url: '/crmSubjectToExecution',
        method: 'put',
        data: data
    })
}

// 删除被执行人信息
export function delExecution(id) {
    return request({
        url: '/crmSubjectToExecution/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delExecutionBatch(ids) {
    console.log(ids);
    return request.post('/crmSubjectToExecution/delete',ids)
}